Cyberduck Mountain Duck CLI

#9805 closed defect (fixed)

5.3.0 closing connections

Reported by: rogjack Owned by: dkocher
Priority: high Milestone: 5.3
Component: core Version: 5.2.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Listing directory current failed.

Broken pipe (Write failed). The connection attempt was rejected. The server may be down, or your network may not be properly configured.

I am getting this message whenever I try to access a directory that has been left open for more than a couple of minutes. This is new behaviour on 5.3.0

Change History (16)

comment:1 Changed on Jan 12, 2017 at 8:22:31 AM by rogjack

  • Version set to 5.2.2

comment:2 Changed on Jan 13, 2017 at 12:18:49 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Jan 13, 2017 at 12:19:09 PM by dkocher

Thanks for the issue report. What protocol do you connect with?

comment:4 Changed on Jan 13, 2017 at 12:24:13 PM by rogjack

FTP, sorry should have mentioned that.

comment:5 Changed on Jan 13, 2017 at 12:46:42 PM by dkocher

  • Component changed from core to ftp
  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:6 Changed on Jan 13, 2017 at 12:47:26 PM by dkocher

Can you check you are running snapshot build 5.3.0.23440 or later.

comment:7 Changed on Jan 13, 2017 at 12:54:36 PM by rogjack

  • Component changed from ftp to core
  • Milestone 6.0 deleted

I had reverted to 5.2.2 so I just downloaded a new copy. It's 5.3.0 (22987). Below your recommendation.

comment:8 Changed on Jan 13, 2017 at 1:30:49 PM by dkocher

  • Milestone set to 5.3
  • Resolution set to fixed
  • Status changed from assigned to closed

In r23440. We have just pushed a new snapshot build. Please try to update and let us know if that build resolves the issue.

comment:9 Changed on Jan 13, 2017 at 5:17:47 PM by rogjack

Same problem, I'm afraid.

comment:10 Changed on Jan 13, 2017 at 5:36:28 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:11 Changed on Jan 14, 2017 at 9:04:58 PM by dkocher

  • Priority changed from normal to high
  • Status changed from reopened to new

comment:12 Changed on Jan 14, 2017 at 9:05:02 PM by dkocher

  • Status changed from new to assigned

comment:13 Changed on Jan 16, 2017 at 9:40:07 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r23556.

comment:14 follow-up: Changed on Jan 16, 2017 at 1:33:10 PM by rogjack

23112 has just gone up but no 23556 yet.

comment:15 in reply to: ↑ 14 Changed on Jan 16, 2017 at 2:47:42 PM by dkocher

Replying to rogjack:

23112 has just gone up but no 23556 yet.

The build numbers do not match. Please test with 5.3.0.23112.

comment:16 Changed on Jan 17, 2017 at 11:04:54 AM by rogjack

OK, that seems to have fixed it, thanks.

Note: See TracTickets for help on using tickets.
swiss made software